{
  "replace": false,
  "values": [
    {
      "id": "#minecraft:stone_bricks",
      "required": false
    },
    {
      "id": "#minecraft:stone_crafting_materials",
      "required": false
    },
    {
      "id": "minecraft:stone",
      "required": false
    },
    {
      "id": "minecraft:deepslate",
      "required": false
    },
    {
      "id": "minecraft:basalt",
      "required": false
    },
    {
      "id": "minecraft:cobblestone_stairs",
      "required": false
    },
    {
      "id": "minecraft:sandstone_stairs",
      "required": false
    },
    {
      "id": "minecraft:nether_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:stone_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:purpur_stairs",
      "required": false
    },
    {
      "id": "minecraft:quartz_stairs",
      "required": false
    },
    {
      "id": "minecraft:red_sandstone_stairs",
      "required": false
    },
    {
      "id": "minecraft:prismarine_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:prismarine_stairs",
      "required": false
    },
    {
      "id": "minecraft:dark_prismarine_stairs",
      "required": false
    },
    {
      "id": "minecraft:polished_granite_stairs",
      "required": false
    },
    {
      "id": "minecraft:smooth_red_sandstone_stairs",
      "required": false
    },
    {
      "id": "minecraft:mossy_stone_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:polished_diorite_stairs",
      "required": false
    },
    {
      "id": "minecraft:mossy_cobblestone_stairs",
      "required": false
    },
    {
      "id": "minecraft:end_stone_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:stone_stairs",
      "required": false
    },
    {
      "id": "minecraft:smooth_sandstone_stairs",
      "required": false
    },
    {
      "id": "minecraft:smooth_quartz_stairs",
      "required": false
    },
    {
      "id": "minecraft:granite_stairs",
      "required": false
    },
    {
      "id": "minecraft:andesite_stairs",
      "required": false
    },
    {
      "id": "minecraft:red_nether_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:polished_andesite_stairs",
      "required": false
    },
    {
      "id": "minecraft:diorite_stairs",
      "required": false
    },
    {
      "id": "minecraft:blackstone_stairs",
      "required": false
    },
    {
      "id": "minecraft:polished_blackstone_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:polished_blackstone_stairs",
      "required": false
    },
    {
      "id": "minecraft:cobbled_deepslate_stairs",
      "required": false
    },
    {
      "id": "minecraft:polished_deepslate_stairs",
      "required": false
    },
    {
      "id": "minecraft:deepslate_tile_stairs",
      "required": false
    },
    {
      "id": "minecraft:deepslate_brick_stairs",
      "required": false
    },
    {
      "id": "minecraft:stone_slab",
      "required": false
    },
    {
      "id": "minecraft:smooth_stone_slab",
      "required": false
    },
    {
      "id": "minecraft:stone_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:sandstone_slab",
      "required": false
    },
    {
      "id": "minecraft:purpur_slab",
      "required": false
    },
    {
      "id": "minecraft:quartz_slab",
      "required": false
    },
    {
      "id": "minecraft:red_sandstone_slab",
      "required": false
    },
    {
      "id": "minecraft:brick_slab",
      "required": false
    },
    {
      "id": "minecraft:cobblestone_slab",
      "required": false
    },
    {
      "id": "minecraft:nether_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:petrified_oak_slab",
      "required": false
    },
    {
      "id": "minecraft:prismarine_slab",
      "required": false
    },
    {
      "id": "minecraft:prismarine_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:dark_prismarine_slab",
      "required": false
    },
    {
      "id": "minecraft:polished_granite_slab",
      "required": false
    },
    {
      "id": "minecraft:smooth_red_sandstone_slab",
      "required": false
    },
    {
      "id": "minecraft:mossy_stone_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:polished_diorite_slab",
      "required": false
    },
    {
      "id": "minecraft:mossy_cobblestone_slab",
      "required": false
    },
    {
      "id": "minecraft:end_stone_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:smooth_sandstone_slab",
      "required": false
    },
    {
      "id": "minecraft:smooth_quartz_slab",
      "required": false
    },
    {
      "id": "minecraft:granite_slab",
      "required": false
    },
    {
      "id": "minecraft:andesite_slab",
      "required": false
    },
    {
      "id": "minecraft:red_nether_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:polished_andesite_slab",
      "required": false
    },
    {
      "id": "minecraft:diorite_slab",
      "required": false
    },
    {
      "id": "minecraft:cut_sandstone_slab",
      "required": false
    },
    {
      "id": "minecraft:cut_red_sandstone_slab",
      "required": false
    },
    {
      "id": "minecraft:blackstone_slab",
      "required": false
    },
    {
      "id": "minecraft:polished_blackstone_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:polished_blackstone_slab",
      "required": false
    },
    {
      "id": "minecraft:cobbled_deepslate_slab",
      "required": false
    },
    {
      "id": "minecraft:polished_deepslate_slab",
      "required": false
    },
    {
      "id": "minecraft:deepslate_tile_slab",
      "required": false
    },
    {
      "id": "minecraft:deepslate_brick_slab",
      "required": false
    },
    {
      "id": "minecraft:stone_sword",
      "required": false
    },
    {
      "id": "minecraft:stone_pickaxe",
      "required": false
    },
    {
      "id": "minecraft:stone_axe",
      "required": false
    },
    {
      "id": "minecraft:stone_shovel",
      "required": false
    },
    {
      "id": "minecraft:stone_hoe",
      "required": false
    },

    {
      "id": "openblocks:elevator_block",
      "required": false
    },

    {
      "id": "runes:orb_of_knowledge",
      "required": false
    },
    {
      "id": "runes:bifrost_amulet",
      "required": false
    },

    {
      "id": "improved-stations:loom_slab",
      "required": false
    },
    {
      "id": "improved-stations:cartography_table_slab",
      "required": false
    },
    {
      "id": "improved-stations:furnace_slab",
      "required": false
    },
    {
      "id": "improved-stations:smoker_slab",
      "required": false
    },
    {
      "id": "improved-stations:blast_furnace_slab",
      "required": false
    },

    {
      "id": "ecologics:seashell_block",
      "required": false
    },
    {
      "id": "ecologics:seashell_tiles",
      "required": false
    },
    {
      "id": "ecologics:seashell_tile_stairs",
      "required": false
    },
    {
      "id": "ecologics:seashell_tile_slab",
      "required": false
    },
    {
      "id": "ecologics:seashell_tile_wall",
      "required": false
    },
    {
      "id": "ecologics:pot",
      "required": false
    },
    {
      "id": "ecologics:thin_ice",
      "required": false
    },
    {
      "id": "ecologics:ice_bricks",
      "required": false
    },
    {
      "id": "ecologics:ice_brick_stairs",
      "required": false
    },
    {
      "id": "ecologics:ice_brick_slab",
      "required": false
    },
    {
      "id": "ecologics:ice_brick_wall",
      "required": false
    },

    {
      "id": "byg:bulbis_shell",
      "required": false
    },
    {
      "id": "byg:purple_bulbis_shell",
      "required": false
    },
    {
      "id": "byg:anthracite_block",
      "required": false
    },
    {
      "id": "byg:anthracite_ore",
      "required": false
    },
    {
      "id": "byg:brimstone",
      "required": false
    },
    {
      "id": "byg:yellow_nether_bricks",
      "required": false
    },
    {
      "id": "byg:hanging_bones",
      "required": false
    },
    {
      "id": "byg:quartz_crystal",
      "required": false
    },
    {
      "id": "byg:raw_quartz_block",
      "required": false
    },
    {
      "id": "byg:blue_nether_quartz_ore",
      "required": false
    },
    {
      "id": "byg:blue_nether_gold_ore",
      "required": false
    },
    {
      "id": "byg:brimstone_nether_quartz_ore",
      "required": false
    },
    {
      "id": "byg:brimstone_nether_gold_ore",
      "required": false
    },
    {
      "id": "byg:magmatic_stone",
      "required": false
    },
    {
      "id": "byg:warped_coral_block",
      "required": false
    },
    {
      "id": "byg:blue_netherrack",
      "required": false
    },
    {
      "id": "byg:blue_nether_bricks",
      "required": false
    },
    {
      "id": "byg:purpur_stone",
      "required": false
    },
    {
      "id": "byg:purpur_stone_slab",
      "required": false
    },
    {
      "id": "byg:purpur_stone_stairs",
      "required": false
    },
    {
      "id": "byg:purpur_stone_wall",
      "required": false
    },
    {
      "id": "byg:ether_stone",
      "required": false
    },
    {
      "id": "byg:ether_stone_slab",
      "required": false
    },
    {
      "id": "byg:ether_stone_stairs",
      "required": false
    },
    {
      "id": "byg:ether_stone_wall",
      "required": false
    },
    {
      "id": "byg:cobbled_ether_stone",
      "required": false
    },
    {
      "id": "byg:cobbled_ether_stone_slab",
      "required": false
    },
    {
      "id": "byg:cobbled_ether_stone_stairs",
      "required": false
    },
    {
      "id": "byg:cobbled_ether_stone_wall",
      "required": false
    },
    {
      "id": "byg:carved_ether_stone",
      "required": false
    },
    {
      "id": "byg:carved_ether_stone_slab",
      "required": false
    },
    {
      "id": "byg:carved_ether_stone_stairs",
      "required": false
    },
    {
      "id": "byg:carved_ether_stone_wall",
      "required": false
    },
    {
      "id": "byg:lignite_block",
      "required": false
    },
    {
      "id": "byg:lignite_ore",
      "required": false
    },
    {
      "id": "byg:therium_crystal",
      "required": false
    },
    {
      "id": "byg:therium_block",
      "required": false
    },
    {
      "id": "byg:therium_lantern",
      "required": false
    },
    {
      "id": "byg:boric_lantern",
      "required": false
    },
    {
      "id": "byg:cryptic_lantern",
      "required": false
    },
    {
      "id": "byg:chiseled_therium",
      "required": false
    },
    {
      "id": "byg:chiseled_therium_stairs",
      "required": false
    },
    {
      "id": "byg:chiseled_therium_slab",
      "required": false
    },
    {
      "id": "byg:chiseled_therium_wall",
      "required": false
    },
    {
      "id": "byg:shiny_chiseled_therium",
      "required": false
    },
    {
      "id": "byg:shiny_chiseled_therium_stairs",
      "required": false
    },
    {
      "id": "byg:shiny_chiseled_therium_slab",
      "required": false
    },
    {
      "id": "byg:shiny_chiseled_therium_wall",
      "required": false
    },
    {
      "id": "byg:therium_glass",
      "required": false
    },
    {
      "id": "byg:therium_glass_pane",
      "required": false
    },
    {
      "id": "byg:cryptic_magma_block",
      "required": false
    },
    {
      "id": "byg:cryptic_stone",
      "required": false
    },
    {
      "id": "byg:cryptic_stone_slab",
      "required": false
    },
    {
      "id": "byg:cryptic_stone_stairs",
      "required": false
    },
    {
      "id": "byg:cryptic_stone_wall",
      "required": false
    },
    {
      "id": "byg:cryptic_vent",
      "required": false
    },
    {
      "id": "byg:tall_cryptic_vent",
      "required": false
    },
    {
      "id": "byg:cryptic_redstone_ore",
      "required": false
    },
    {
      "id": "byg:pervaded_netherrack",
      "required": false
    },
    {
      "id": "byg:glowstone_lantern",
      "required": false
    },
    {
      "id": "byg:frost_magma",
      "required": false
    },
    {
      "id": "byg:subzero_crystal_block",
      "required": false
    },
    {
      "id": "byg:budding_subzero_crystal",
      "required": false
    },
    {
      "id": "byg:subzero_crystal_cluster",
      "required": false
    },
    {
      "id": "byg:black_sandstone",
      "required": false
    },
    {
      "id": "byg:black_chiseled_sandstone",
      "required": false
    },
    {
      "id": "byg:black_cut_sandstone",
      "required": false
    },
    {
      "id": "byg:black_smooth_sandstone",
      "required": false
    },
    {
      "id": "byg:white_sandstone",
      "required": false
    },
    {
      "id": "byg:white_chiseled_sandstone",
      "required": false
    },
    {
      "id": "byg:white_cut_sandstone",
      "required": false
    },
    {
      "id": "byg:white_smooth_sandstone",
      "required": false
    },
    {
      "id": "byg:blue_sandstone",
      "required": false
    },
    {
      "id": "byg:blue_chiseled_sandstone",
      "required": false
    },
    {
      "id": "byg:blue_cut_sandstone",
      "required": false
    },
    {
      "id": "byg:blue_smooth_sandstone",
      "required": false
    },
    {
      "id": "byg:purple_sandstone",
      "required": false
    },
    {
      "id": "byg:purple_chiseled_sandstone",
      "required": false
    },
    {
      "id": "byg:purple_cut_sandstone",
      "required": false
    },
    {
      "id": "byg:purple_smooth_sandstone",
      "required": false
    },
    {
      "id": "byg:pink_sandstone",
      "required": false
    },
    {
      "id": "byg:pink_chiseled_sandstone",
      "required": false
    },
    {
      "id": "byg:pink_cut_sandstone",
      "required": false
    },
    {
      "id": "byg:pink_smooth_sandstone",
      "required": false
    },
    {
      "id": "byg:windswept_sandstone",
      "required": false
    },
    {
      "id": "byg:windswept_sandstone_slab",
      "required": false
    },
    {
      "id": "byg:windswept_sandstone_stairs",
      "required": false
    },
    {
      "id": "byg:windswept_sandstone_wall",
      "required": false
    },
    {
      "id": "byg:chiseled_windswept_sandstone",
      "required": false
    },
    {
      "id": "byg:chiseled_windswept_sandstone_slab",
      "required": false
    },
    {
      "id": "byg:chiseled_windswept_sandstone_stairs",
      "required": false
    },
    {
      "id": "byg:chiseled_windswept_sandstone_wall",
      "required": false
    },
    {
      "id": "byg:cut_windswept_sandstone",
      "required": false
    },
    {
      "id": "byg:cut_windswept_sandstone_slab",
      "required": false
    },
    {
      "id": "byg:cut_windswept_sandstone_stairs",
      "required": false
    },
    {
      "id": "byg:cut_windswept_sandstone_wall",
      "required": false
    },
    {
      "id": "byg:smooth_windswept_sandstone",
      "required": false
    },
    {
      "id": "byg:smooth_windswept_sandstone_slab",
      "required": false
    },
    {
      "id": "byg:smooth_windswept_sandstone_stairs",
      "required": false
    },
    {
      "id": "byg:smooth_windswept_sandstone_wall",
      "required": false
    },
    {
      "id": "byg:windswept_sandstone_pillar",
      "required": false
    },
    {
      "id": "byg:raw_pendorite_block",
      "required": false
    },
    {
      "id": "byg:pendorite_ore",
      "required": false
    },
    {
      "id": "byg:ametrine_ore",
      "required": false
    },
    {
      "id": "byg:pendorite_block",
      "required": false
    },
    {
      "id": "byg:ametrine_block",
      "required": false
    },
    {
      "id": "byg:budding_ametrine_ore",
      "required": false
    },
    {
      "id": "byg:ametrine_cluster",
      "required": false
    },
    {
      "id": "byg:dacite",
      "required": false
    },
    {
      "id": "byg:dacite_slab",
      "required": false
    },
    {
      "id": "byg:dacite_stairs",
      "required": false
    },
    {
      "id": "byg:dacite_wall",
      "required": false
    },
    {
      "id": "byg:dacite_bricks",
      "required": false
    },
    {
      "id": "byg:dacite_brick_slab",
      "required": false
    },
    {
      "id": "byg:dacite_brick_stairs",
      "required": false
    },
    {
      "id": "byg:dacite_brick_wall",
      "required": false
    },
    {
      "id": "byg:dacite_cobblestone",
      "required": false
    },
    {
      "id": "byg:dacite_cobblestone_slab",
      "required": false
    },
    {
      "id": "byg:dacite_cobblestone_stairs",
      "required": false
    },
    {
      "id": "byg:dacite_cobblestone_wall",
      "required": false
    },
    {
      "id": "byg:dacite_pillar",
      "required": false
    },
    {
      "id": "byg:dacite_tile",
      "required": false
    },
    {
      "id": "byg:dacite_tile_slab",
      "required": false
    },
    {
      "id": "byg:dacite_tile_stairs",
      "required": false
    },
    {
      "id": "byg:dacite_tile_wall",
      "required": false
    },
    {
      "id": "byg:red_rock",
      "required": false
    },
    {
      "id": "byg:red_rock_slab",
      "required": false
    },
    {
      "id": "byg:red_rock_stairs",
      "required": false
    },
    {
      "id": "byg:red_rock_wall",
      "required": false
    },
    {
      "id": "byg:red_rock_bricks",
      "required": false
    },
    {
      "id": "byg:red_rock_brick_slab",
      "required": false
    },
    {
      "id": "byg:red_rock_brick_stairs",
      "required": false
    },
    {
      "id": "byg:red_rock_brick_wall",
      "required": false
    },
    {
      "id": "byg:cracked_red_rock_bricks",
      "required": false
    },
    {
      "id": "byg:cracked_red_rock_brick_slab",
      "required": false
    },
    {
      "id": "byg:cracked_red_rock_brick_stairs",
      "required": false
    },
    {
      "id": "byg:cracked_red_rock_brick_wall",
      "required": false
    },
    {
      "id": "byg:chiseled_red_rock_bricks",
      "required": false
    },
    {
      "id": "byg:chiseled_red_rock_brick_slab",
      "required": false
    },
    {
      "id": "byg:chiseled_red_rock_brick_stairs",
      "required": false
    },
    {
      "id": "byg:chiseled_red_rock_brick_wall",
      "required": false
    },
    {
      "id": "byg:mossy_red_rock_bricks",
      "required": false
    },
    {
      "id": "byg:mossy_red_rock_brick_slab",
      "required": false
    },
    {
      "id": "byg:mossy_red_rock_brick_stairs",
      "required": false
    },
    {
      "id": "byg:mossy_red_rock_brick_wall",
      "required": false
    },
    {
      "id": "byg:mossy_stone",
      "required": false
    },
    {
      "id": "byg:mossy_stone_slab",
      "required": false
    },
    {
      "id": "byg:mossy_stone_stairs",
      "required": false
    },
    {
      "id": "byg:mossy_stone_wall",
      "required": false
    },
    {
      "id": "byg:rocky_stone",
      "required": false
    },
    {
      "id": "byg:rocky_stone_slab",
      "required": false
    },
    {
      "id": "byg:rocky_stone_stairs",
      "required": false
    },
    {
      "id": "byg:rocky_stone_wall",
      "required": false
    },
    {
      "id": "byg:travertine",
      "required": false
    },
    {
      "id": "byg:travertine_slab",
      "required": false
    },
    {
      "id": "byg:travertine_stairs",
      "required": false
    },
    {
      "id": "byg:travertine_wall",
      "required": false
    },
    {
      "id": "byg:polished_travertine",
      "required": false
    },
    {
      "id": "byg:polished_travertine_slab",
      "required": false
    },
    {
      "id": "byg:polished_travertine_stairs",
      "required": false
    },
    {
      "id": "byg:polished_travertine_wall",
      "required": false
    },
    {
      "id": "byg:chiseled_travertine",
      "required": false
    },
    {
      "id": "byg:chiseled_travertine_slab",
      "required": false
    },
    {
      "id": "byg:chiseled_travertine_stairs",
      "required": false
    },
    {
      "id": "byg:chiseled_travertine_wall",
      "required": false
    },
    {
      "id": "byg:scoria_stone",
      "required": false
    },
    {
      "id": "byg:scoria_stone_slab",
      "required": false
    },
    {
      "id": "byg:scoria_stone_stairs",
      "required": false
    },
    {
      "id": "byg:scoria_stone_wall",
      "required": false
    },
    {
      "id": "byg:scoria_cobblestone",
      "required": false
    },
    {
      "id": "byg:scoria_cobblestone_slab",
      "required": false
    },
    {
      "id": "byg:scoria_cobblestone_stairs",
      "required": false
    },
    {
      "id": "byg:scoria_cobblestone_wall",
      "required": false
    },
    {
      "id": "byg:scoria_pillar",
      "required": false
    },
    {
      "id": "byg:scoria_stonebricks",
      "required": false
    },
    {
      "id": "byg:scoria_stonebrick_slab",
      "required": false
    },
    {
      "id": "byg:scoria_stonebrick_stairs",
      "required": false
    },
    {
      "id": "byg:scoria_stonebrick_wall",
      "required": false
    },
    {
      "id": "byg:cracked_scoria_stone_bricks",
      "required": false
    },
    {
      "id": "byg:emeraldite_ore",
      "required": false
    },
    {
      "id": "byg:dusted_polished_blackstone_bricks",
      "required": false
    },
    {
      "id": "byg:soapstone",
      "required": false
    },
    {
      "id": "byg:soapstone_slab",
      "required": false
    },
    {
      "id": "byg:soapstone_stairs",
      "required": false
    },
    {
      "id": "byg:soapstone_wall",
      "required": false
    },
    {
      "id": "byg:polished_soapstone",
      "required": false
    },
    {
      "id": "byg:polished_soapstone_slab",
      "required": false
    },
    {
      "id": "byg:polished_soapstone_stairs",
      "required": false
    },
    {
      "id": "byg:polished_soapstone_wall",
      "required": false
    },
    {
      "id": "byg:soapstone_bricks",
      "required": false
    },
    {
      "id": "byg:soapstone_brick_slab",
      "required": false
    },
    {
      "id": "byg:soapstone_brick_stairs",
      "required": false
    },
    {
      "id": "byg:soapstone_brick_wall",
      "required": false
    },
    {
      "id": "byg:soapstone_pillar",
      "required": false
    },
    {
      "id": "byg:soapstone_tile",
      "required": false
    },
    {
      "id": "byg:soapstone_tile_slab",
      "required": false
    },
    {
      "id": "byg:soapstone_tile_stairs",
      "required": false
    },
    {
      "id": "byg:soapstone_tile_wall",
      "required": false
    },
    {
      "id": "byg:podzol_dacite",
      "required": false
    },
    {
      "id": "byg:overgrown_dacite",
      "required": false
    },
    {
      "id": "byg:overgrown_stone",
      "required": false
    },
    {
      "id": "byg:overgrown_crimson_blackstone",
      "required": false
    },
    {
      "id": "byg:mycelium_netherrack",
      "required": false
    },
    {
      "id": "byg:overgrown_netherrack",
      "required": false
    },
    {
      "id": "byg:ivis_phylium",
      "required": false
    },
    {
      "id": "byg:embur_nylium",
      "required": false
    },
    {
      "id": "byg:sythian_nylium",
      "required": false
    },
    {
      "id": "byg:nightshade_phylium",
      "required": false
    },
    {
      "id": "byg:ether_phylium",
      "required": false
    },
    {
      "id": "byg:vermilion_sculk",
      "required": false
    },
    {
      "id": "byg:shulkren_phylium",
      "required": false
    },
    {
      "id": "byg:bulbis_phycelium",
      "required": false
    },
    {
      "id": "byg:imparius_phylium",
      "required": false
    },
    {
      "id": "byg:hypogeal_imperium",
      "required": false
    },
    {
      "id": "byg:packed_black_ice",
      "required": false
    },
    {
      "id": "byg:black_ice",
      "required": false
    },

    {
      "id": "improved_end:dark_grass_block",
      "required": false
    },
    {
      "id": "improved_end:infusorial_grass_block",
      "required": false
    },
    {
      "id": "improved_end:budding_grass_block",
      "required": false
    },
    {
      "id": "improved_end:redleaf_grass_block",
      "required": false
    },
    {
      "id": "improved_end:fire_grass_block",
      "required": false
    },
    {
      "id": "improved_end:shining_grass_block",
      "required": false
    },
    {
      "id": "improved_end:serene_grass_block",
      "required": false
    },
    {
      "id": "improved_end:scab_grass_block",
      "required": false
    },
    {
      "id": "improved_end:indigo_grass_block",
      "required": false
    },
    {
      "id": "improved_end:dark_lantern",
      "required": false
    },
    {
      "id": "improved_end:infusorial_lantern",
      "required": false
    },
    {
      "id": "improved_end:budding_lantern",
      "required": false
    },
    {
      "id": "improved_end:redleaf_lantern",
      "required": false
    },
    {
      "id": "improved_end:fire_lantern",
      "required": false
    },
    {
      "id": "improved_end:shining_lantern",
      "required": false
    },
    {
      "id": "improved_end:serene_lantern",
      "required": false
    },
    {
      "id": "improved_end:scab_lantern",
      "required": false
    },
    {
      "id": "improved_end:indigo_lantern",
      "required": false
    },
    {
      "id": "improved_end:xibien",
      "required": false
    },
    {
      "id": "improved_end:dark_wave_end_stone",
      "required": false
    },
    {
      "id": "improved_end:infusorial_wave_end_stone",
      "required": false
    },
    {
      "id": "improved_end:redleaf_wave_end_stone",
      "required": false
    },
    {
      "id": "improved_end:shining_wave_end_stone",
      "required": false
    },
    {
      "id": "improved_end:scab_wave_end_stone",
      "required": false
    },
    {
      "id": "improved_end:indigo_wave_end_stone",
      "required": false
    },
    {
      "id": "improved_end:dark_sandstone",
      "required": false
    },
    {
      "id": "improved_end:dark_sandstone_slab",
      "required": false
    },
    {
      "id": "improved_end:dark_sandstone_stairs",
      "required": false
    },
    {
      "id": "improved_end:dark_sandstone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:smooth_dark_sandstone",
      "required": false
    },
    {
      "id": "improved_end:smooth_dark_sandstone_slab",
      "required": false
    },
    {
      "id": "improved_end:smooth_dark_sandstone_stairs",
      "required": false
    },
    {
      "id": "improved_end:smooth_dark_sandstone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:cut_dark_sandstone",
      "required": false
    },
    {
      "id": "improved_end:cut_dark_sandstone_slab",
      "required": false
    },
    {
      "id": "improved_end:cut_dark_sandstone_stairs",
      "required": false
    },
    {
      "id": "improved_end:cut_dark_sandstone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:chiseled_dark_sandstone",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_slab",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_stairs",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_button",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_pressure_plate",
      "required": false
    },
    {
      "id": "improved_end:smooth_infusorial_stone",
      "required": false
    },
    {
      "id": "improved_end:smooth_infusorial_stone_slab",
      "required": false
    },
    {
      "id": "improved_end:smooth_infusorial_stone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_bricks",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_brick_slab",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_brick_stairs",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_brick_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:infusorial_stone_brick_wall",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_slab",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_stairs",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_button",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_pressure_plate",
      "required": false
    },
    {
      "id": "improved_end:polished_redleaf_stone",
      "required": false
    },
    {
      "id": "improved_end:polished_redleaf_stone_slab",
      "required": false
    },
    {
      "id": "improved_end:polished_redleaf_stone_stairs",
      "required": false
    },
    {
      "id": "improved_end:polished_redleaf_stone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_bricks",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_brick_slab",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_brick_stairs",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_brick_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:redleaf_stone_brick_wall",
      "required": false
    },
    {
      "id": "improved_end:scab_stone",
      "required": false
    },
    {
      "id": "improved_end:scab_stone_slab",
      "required": false
    },
    {
      "id": "improved_end:scab_stone_stairs",
      "required": false
    },
    {
      "id": "improved_end:scab_stone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:scab_stone_button",
      "required": false
    },
    {
      "id": "improved_end:scab_stone_pressure_plate",
      "required": false
    },
    {
      "id": "improved_end:polished_scab_stone",
      "required": false
    },
    {
      "id": "improved_end:polished_scab_stone_slab",
      "required": false
    },
    {
      "id": "improved_end:polished_scab_stone_stairs",
      "required": false
    },
    {
      "id": "improved_end:polished_scab_stone_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:indigo_soil_bricks",
      "required": false
    },
    {
      "id": "improved_end:indigo_soil_brick_slab",
      "required": false
    },
    {
      "id": "improved_end:indigo_soil_brick_stairs",
      "required": false
    },
    {
      "id": "improved_end:indigo_soil_brick_vertical_slab",
      "required": false
    },
    {
      "id": "improved_end:indigo_soil_brick_wall",
      "required": false
    },
    {
      "id": "improved_end:chiseled_indigo_soil_bricks",
      "required": false
    },
    {
      "id": "improved_end:polished_end_stone",
      "required": false
    },
    {
      "id": "improved_end:end_stone_tiles",
      "required": false
    },
    {
      "id": "improved_end:cracked_end_stone_bricks",
      "required": false
    },
    {
      "id": "improved_end:chiseled_end_stone_bricks",
      "required": false
    },
    {
      "id": "improved_end:end_stone_pillar",
      "required": false
    },
    {
      "id": "improved_end:cracked_purpur",
      "required": false
    },
    {
      "id": "improved_end:xorum_ore",
      "required": false
    },

    {
      "id": "farmersdelight:cooking_pot",
      "required": false
    },
    {
      "id": "farmersdelight:stove",
      "required": false
    },

    {
      "id": "bosses_of_mass_destruction:obsidilith_rune",
      "required": false
    },
    {
      "id": "bosses_of_mass_destruction:gauntlet_blackstone",
      "required": false
    },
    {
      "id": "bosses_of_mass_destruction:mob_ward",
      "required": false
    },
    {
      "id": "bosses_of_mass_destruction:monolith_block",
      "required": false
    },
    {
      "id": "bosses_of_mass_destruction:levitation_block",
      "required": false
    },

    {
      "id": "playerpressureplates:obsidian_pressure_plate",
      "required": false
    },

    {
      "id": "betterend:umbralith_wall",
      "required": false
    },
    {
      "id": "betterend:umbralith_tiles",
      "required": false
    },
    {
      "id": "betterend:umbralith_stairs",
      "required": false
    },
    {
      "id": "betterend:umbralith_slab",
      "required": false
    },
    {
      "id": "betterend:umbralith_polished",
      "required": false
    },
    {
      "id": "betterend:umbralith_plate",
      "required": false
    },
    {
      "id": "betterend:umbralith_pillar",
      "required": false
    },
    {
      "id": "betterend:umbralith_pedestal",
      "required": false
    },
    {
      "id": "betterend:umbralith_furnace",
      "required": false
    },
    {
      "id": "betterend:umbralith_lantern",
      "required": false
    },
    {
      "id": "betterend:umbralith_flower_pot",
      "required": false
    },
    {
      "id": "betterend:umbralith_button",
      "required": false
    },
    {
      "id": "betterend:umbralith_bricks_wall",
      "required": false
    },
    {
      "id": "betterend:umbralith_bricks_stairs",
      "required": false
    },
    {
      "id": "betterend:umbralith_bricks_slab",
      "required": false
    },
    {
      "id": "betterend:umbralith_bricks",
      "required": false
    },
    {
      "id": "betterend:umbralith",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_flower_pot",
      "required": false
    },
    {
      "id": "betterend:violecite_flower_pot",
      "required": false
    },
    {
      "id": "betterend:sulphuric_rock_flower_pot",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_flower_pot",
      "required": false
    },
    {
      "id": "betterend:flavolite_flower_pot",
      "required": false
    },
    {
      "id": "betterend:endstone_flower_pot",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_flower_pot",
      "required": false
    },
    {
      "id": "betterend:neon_cactus_stairs",
      "required": false
    },
    {
      "id": "betterend:neon_cactus_slab",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_wall",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_tiles",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_stairs",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_slab",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_polished",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_pillar",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_pedestal",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_bricks_wall",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_bricks_stairs",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_bricks_slab",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_bricks",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_wall",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_tiles",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_stairs",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_slab",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_polished",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_plate",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_pillar",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_pedestal",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_lantern",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_furnace",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_button",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_bricks_wall",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_bricks_stairs",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_bricks_slab",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal_shard",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone_bricks",
      "required": false
    },
    {
      "id": "betterend:virid_jadestone",
      "required": false
    },
    {
      "id": "betterend:smaragdant_crystal",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_wall",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_slab",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_stairsend.sandy_jadestone_tiles",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_polished",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_plate",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_pillar",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_pedestal",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_lantern",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_furnace",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_button",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_bricks_stairs",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_bricks_wall",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_bricks_slab",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone_bricks",
      "required": false
    },
    {
      "id": "betterend:sandy_jadestone",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_wall",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_tiles",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_stairs",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_slab",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_polished",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_plate",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_pillar",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_pedestal",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_lantern",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_furnace",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_button",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_bricks_wall",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_bricks_stairs",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_bricks_slab",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone_bricks",
      "required": false
    },
    {
      "id": "betterend:azure_jadestone",
      "required": false
    },
    {
      "id": "betterend:end_stone_furnace",
      "required": false
    },
    {
      "id": "betterend:flavolite_furnace",
      "required": false
    },
    {
      "id": "betterend:sulphuric_rock_furnace",
      "required": false
    },
    {
      "id": "betterend:violecite_furnace",
      "required": false
    },

    {
      "id": "waystones:black_sharestone",
      "required": false
    },
    {
      "id": "waystones:blue_sharestone",
      "required": false
    },
    {
      "id": "waystones:brown_sharestone",
      "required": false
    },
    {
      "id": "waystones:cyan_sharestone",
      "required": false
    },
    {
      "id": "waystones:gray_sharestone",
      "required": false
    },
    {
      "id": "waystones:green_sharestone",
      "required": false
    },
    {
      "id": "waystones:light_blue_sharestone",
      "required": false
    },
    {
      "id": "waystones:light_gray_sharestone",
      "required": false
    },
    {
      "id": "waystones:lime_sharestone",
      "required": false
    },
    {
      "id": "waystones:magenta_sharestone",
      "required": false
    },
    {
      "id": "waystones:mossy_waystone",
      "required": false
    },
    {
      "id": "waystones:orange_sharestone",
      "required": false
    },
    {
      "id": "waystones:pink_sharestone",
      "required": false
    },
    {
      "id": "waystones:portstone",
      "required": false
    },
    {
      "id": "waystones:purple_sharestone",
      "required": false
    },
    {
      "id": "waystones:red_sharestone",
      "required": false
    },
    {
      "id": "waystones:sandy_waystone",
      "required": false
    },
    {
      "id": "waystones:sharestone",
      "required": false
    },
    {
      "id": "waystones:warp_plate",
      "required": false
    },
    {
      "id": "waystones:waystone",
      "required": false
    },
    {
      "id": "waystones:white_sharestone",
      "required": false
    },
    {
      "id": "waystones:yellow_sharestone",
      "required": false
    }
  ]
}